#property indicator_separate_window
#property indicator_minimum 0.0
#property indicator_maximum 1.0
#property indicator_buffers 4
#property indicator_color1 Black
#property indicator_color2 Yellow
#property indicator_color3 Lime
#property indicator_color4 Red

extern int firstSPeriod = 20;
extern int secondSPeriod = 3;
extern int thirdSPeriod = 3;
extern string MA_Method_Options = "0=SMA, 1=EMA, 2=SMMA, 3=LWMA";
extern string Price_Options = "0=Low/High, 1=Close/Close";
extern int SMethod = 3;
extern int priceFieldS = 1;
extern int JMOPeriod = 20;
extern int JMOMethod = 3;
double g_ibuf_152[];
double g_ibuf_156[];
double g_ibuf_160[];
double g_ibuf_164[];
bool gi_unused_184 = FALSE;
bool gi_unused_188 = FALSE;
bool gi_unused_192 = FALSE;

int init() {
   Comment("  ");
   gi_unused_188 = FALSE;
   gi_unused_192 = FALSE;
   IndicatorBuffers(4);
   SetIndexBuffer(0, g_ibuf_152);
   SetIndexBuffer(1, g_ibuf_156);
   SetIndexStyle(2, DRAW_ARROW, EMPTY);
   SetIndexArrow(2, 233);
   SetIndexBuffer(2, g_ibuf_160);
   SetIndexStyle(3, DRAW_ARROW, EMPTY);
   SetIndexArrow(3, 234);
   SetIndexBuffer(3, g_ibuf_164);
   SetIndexDrawBegin(0, firstSPeriod);
   SetIndexDrawBegin(1, firstSPeriod);
   IndicatorShortName("JMO(" + JMOPeriod + ")");
   SetIndexLabel(0, "Stoch(" + firstSPeriod + ")");
   SetIndexLabel(1, "JM)(" + JMOPeriod + ")");
   return (0);
}

int start() {
   int li_8 = IndicatorCounted();
   if (li_8 < 0) return (-1);
   if (li_8 > 0) li_8--;
   int li_4 = Bars - li_8;
   for (int shift_0 = 0; shift_0 < li_4; shift_0++) g_ibuf_152[shift_0] = iStochastic(NULL, 0, firstSPeriod, secondSPeriod, thirdSPeriod, SMethod, priceFieldS, MODE_MAIN, shift_0)/100;
   for (shift_0 = 0; shift_0 < li_4; shift_0++) g_ibuf_156[shift_0] = iMAOnArray(g_ibuf_152, 0, JMOPeriod, 0, JMOMethod, shift_0);
   return (0);
}
